<?php

class Dashboard {

	protected $app;


	public function __construct ($app) {

		$this->app = $app;

		// проверка требований
		if ($app->setup) {

			$error = NULL;

			if (! is_writable($app->home('cache')))
				$error['dir_cache'] = TRUE;
			if (! get_extension_funcs('SimpleXML'))
				$error['SimpleXML'] = TRUE;

			if (  $error) {

				foreach (array_keys($error) as $key)
					$error[$key] = $app->dict($key, 'requirements');

				$app->stash->error = $error;

				$app->render(array('html' => function($app) {
					include 'templates/requirements.php';
				}));
				exit;
			}
		}
	}


	public function auth_form () {
		$this->app->render(array('html' => function($app) {
			include 'templates/auth.php';
		}));
	}

	public function auth () {

		$app  = $this->app;

		$args = $app->args;

		if   ($args->password === $app->settings->password) {
			$app->session->is_admin = TRUE;
			$app->redirect('');
		}
		else {
			$app ->stash->error = $app->dict(
				isset($args->password)	? 'Wrong password'
							: 'null'
			);

			$app ->render(array('json' => array(
				'error' => $app->stash->error,
			)))
			or
			$this->auth_form();
		}
	}

	public function logout () {

		$app = $this->app;

		unset         ($app->session ->is_admin);
		$app->redirect($app->settings->auth);
	}

	// ------------------------------------------------------------------ //

	protected function proto () {

		$args = $this->app->args;
		$data = array();

		foreach (static::$proto as $key => $meta)
			if   (isset($meta['test']) && $meta['test'] == 'boolean')
				$data[$key] = $args->$key && TRUE;
			else
				$data[$key] = $args->$key;

		foreach (static::$proto as $key => $meta)
			if   (isset($meta['depend'])) {

				$depend = $meta['depend'];

				$target = isset($depend['target']) ? $depend['target'] : NULL;
				$value  = isset($depend['value'])  ? $depend['value']  : TRUE;
				$invert = isset($depend['invert']) ? $depend['invert'] : FALSE;

				if (!   $target || ! isset($data[$target]))
					continue;
				if (! (($data[$target] == $value) ^ $invert))
					unset($data[$key]);
			}

		return  $data;
	}

	protected function test ($data) {

		$app   = $this->app;

		$error = NULL;

		foreach ($data as $key => $val) {

			if     (!  isset(static::$proto[$key])) continue;

			$meta = static::$proto[$key];

			if     (   isset($val)) {

				if (	 isset            ($meta['test'])
				    && ! $app->test($val,  $meta['test'])
				)
					$error[$key] = 'invalid';

				if (	 isset            ($meta['list'])
				    && ! in_array  ($val,  $meta['list'])
				)
					$error[$key] = 'invalid';
			}
			elseif (! (isset($meta['null']) && $meta['null']))
					$error[$key] = 'null';
		}

		return  $error;
	}
}

?>
