<?php
	if (! defined('HAS_APP')) exit;

	$error       = $app->stash->error();

	$langs       = $app->conf->langs();

	$show_navbar = ! ($app->stash->hide_navbar_menu || $app->setup);
?>
<!DOCTYPE html>
<html lang="<?php echo $app->lang_short ?>">
<head>
	<title>
		<?php
			$title = $app->stash->title();

			echo join(' | ', array_filter(
				array_reverse($title),
				function($i) {return isset($i);}
			));
		?>
	</title>
	<meta charset="<?php echo $app->conf->charset ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="<?php echo $app->pub('css/dashboard.css?170107') ?>" rel="stylesheet">
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<body>
	<nav class="navbar navbar-default navbar-inverse navbar-fixed-top" role="navigation">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-menu" aria-expanded="false">
					<span class="sr-only"><?php echo $app->dict('Navigation') ?></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<?php if     ($app->stash->hide_navbar_menu): ?>
					<span class="glyphicon glyphicon-dashboard navbar-brand" aria-hidden="true"></span>
				<?php elseif ($app->setup): ?>
					<a class="navbar-brand" href="<?php echo $app->uri('settings') ?>"><?php echo $app->dict('Settings') ?></a>
				<?php else: ?>
					<a class="navbar-brand" href="<?php echo $app->uri('widgets') ?>"><?php echo $app->dict('Widgets') ?></a>
				<?php endif; ?>
			</div>
			<div id="navbar-menu" class="collapse navbar-collapse">
				<?php if ($show_navbar): ?>
					<ul class="nav navbar-nav">
						<li<?php if (strpos($app->uri(), 'cache') == 1) echo ' class="active"' ?>>
							<a href="<?php echo $app->uri('cache-info') ?>"><?php echo $app->dict('Cache') ?></a>
						</li>
						<li<?php if (strpos($app->uri(), 'settings') == 1) echo ' class="active"' ?>>
							<a href="<?php echo $app->uri('settings') ?>"><?php echo $app->dict('Settings') ?></a>
						</li>
					</ul>
				<?php endif; ?>
				<?php if (count($langs) > 1): ?>
					<div class="pull-right">
						<div id="langs" class="dropdown">
							<button class="btn btn-sm btn-info navbar-btn dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
								<?php echo strtoupper($app->lang_short) ?> <span class="caret"></span>
							</button>
							<ul class="dropdown-menu dropdown-menu-right" aria-labelledby="lang">
								<?php foreach ($langs as $code => $lang): ?>
									<li<?php if ($code == $app->lang) echo ' class="active"' ?>><a href="<?php echo $app->uri('lang', array('code' => $code)) ?>"><?php echo $lang ?></a></li>
								<?php endforeach; ?>
							</ul>
						</div>
					</div>
				<?php endif; ?>
				<?php if ($show_navbar): ?>
					<div class="pull-right">
						<a href="<?php echo $app->uri('logout') ?>" class="btn btn-sm btn-danger navbar-btn">
							<span class="glyphicon glyphicon-log-out" aria-hidden="true"></span>
							<?php echo $app->dict('Logout') ?>
						</a>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</nav>
	<?php if (isset($error[0])): ?>
		<div id="nojs_error" class="container">
			<div class="alert alert-danger text-center" role="alert">
				<?php echo $error[0] ?>
			</div>
		</div>
	<?php endif; ?>
	<?php if ($app->stash->success): ?>
		<div id="nojs_success" class="container">
			<div class="alert alert-success text-center" role="alert">
				<?php echo $app->stash->success ?>
			</div>
		</div>
	<?php endif; ?>
