<?php
	if (! defined('HAS_APP')) exit;

	$widget    = $app->stash->widget();
	$items     = $app->stash->items ();

	$body_data = array();

	$classes   = array(
		'slider' => 'slick',
		'tile'   => 'masonry',
	);

	foreach ($widget as $key => $val) {

		if (is_bool($val))
			$val = $val ? 'true' : 'false';

		$body_data[] = sprintf(
			'data-%s="%s"',
			str_replace     ('_', '-', $key),
			htmlspecialchars($val)
		);
	}
?>
<!DOCTYPE html>
<html lang="<?php echo $app->lang_short ?>">
<head>
	<title><?php echo $app->host() ?></title>
	<meta charset="<?php echo $app->conf->charset ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="<?php echo $app->pub('css/embed.css?170107') ?>" rel="stylesheet">
	<style>
		.item {
			width:     <?php echo $widget['icon_size'] * 1.1 ?>px;
		}
		.item .icon {
			width:     <?php echo $widget['icon_size']       ?>px;
			height:    <?php echo $widget['icon_size']       ?>px;
			font-size: <?php echo $widget['icon_size']       ?>%;
		}
		.item .name {
			font-size: <?php echo $widget['icon_size'] * 0.8 ?>%;
		}
		.item .buy {
			font-size: <?php echo $widget['icon_size'] * 1.2 ?>%;
		}
	</style>
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<body id="<?php echo $app->args->id ?>" <?php echo join(' ', $body_data) ?>>
	<div class="wrap<?php if (isset($classes[$widget['type']])) echo " {$classes[$widget['type']]}" ?>">
		<?php foreach ($items as $id => $item): ?>
			<div class="item text-center">
				<div class="icon">
					<a href="#<?php echo $id ?>">
						<img src="<?php echo htmlspecialchars($app->icon_src($id, $widget['icon_size'])) ?>" class="img-thumbnail">
						<span class="price label label-primary"><?php echo $app->format_price($item['price'], $item['currency']) ?></span>
					</a>
				</div>
				<div class="name small-">
					<a href="#<?php echo $id ?>"><?php echo html_entity_decode($item['name']) ?></a>
				</div>
				<div class="buy">
					<a href="#<?php echo $id ?>" class="label label-success">
						<span class="glyphicon glyphicon-shopping-cart" aria-hidden="true"></span>
						<?php echo $app->dict('Buy') ?>
					</a>
				</div>
			</div>
		<?php endforeach; ?>
	</div>
	<form id="pay" action="https://www.oplata.info/asp2/pay.asp" method="POST" class="hide" target="_blank">
		<input type="hidden" name="TypeCurr" value="RBX">
		<input type="hidden" name="ID_D">
		<input type="hidden" name="Agent" value="<?php echo $app->settings->id_agent ?>">
		<input type="hidden" name="FailPage" value="<?php echo htmlspecialchars($app->env->referer) ?>">
		<input type="hidden" name="lang" value="<?php echo $app->lang ?>">
	</form>
	<script src="<?php echo $app->pub('js/embed.js?170107') ?>"></script>
</body>
</html>
