<?php
	if (! defined('HAS_APP')) exit;

	$id         = $app->args->id;

	$widget     = $app->stash->widget();
	$proto      = $app->stash->proto();

	$embed_code = $app->embed_code(array('id' => $id));

	$error      = $app->stash->error;

	$app->stash->title = $app->dict('Widget');

	include 'templates/_header.php';
?>
<div id="widget" class="container">
	<div class="row">
		<div class="col-sm-6">
			<form method="POST" role="form" data-after="wgtUpdate">
				<fieldset<?php if (in_array($id, $app->conf->lock_ids())) echo ' disabled' ?>>
					<?php
						foreach ($proto as $name => $meta):

							if     ($app->env->is_post)
								$value  = $app->args->$name;
							elseif (isset    ($widget[$name]))
								$value  = $widget[$name];
							elseif (isset    ($meta  ['default']))
								$value  = $meta['default'];
							else
								$value  = NULL;

							if     (isset($meta['depend'])) {
								$depend = '';
								foreach ($meta['depend'] as $key => $val)
									$depend .= " data-${key}=\"${val}\"";
							}
							else	$depend = NULL;
					?>
							<?php if (isset($meta['test']) && $meta['test'] == 'boolean'): ?>
								<div class="checkbox<?php if ($depend) echo ' depend' ?>"<?php echo $depend ?>>
									<label>
										<input id="<?php echo $name ?>" name="<?php echo $name ?>" type="checkbox"<?php if ($value) echo ' checked' ?>>
										<?php echo $app->dict(ucfirst(str_replace('_', ' ', $name)), 'widget') ?>
									</label>
								</div>
							<?php else: ?>
								<div class="form-group<?php if ($depend) echo ' depend'; if (isset($error[$name])) echo ' has-error' ?>"<?php echo $depend ?>>
									<label for="<?php echo $name ?>" class="control-label"><?php echo $app->dict(ucfirst(str_replace('_', ' ', $name)), 'widget'); if (! isset($meta['null'])) echo '*'; ?></label>
									<?php if (isset($app->dict["helper_${name}"])): ?>
										<button type="button" class="btn btn-xs btn-link" tabindex="-1" data-toggle="tooltip" data-placement="right" title="<?php echo htmlspecialchars($app->dict["helper_${name}"]) ?>">
											<span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
										</button>
									<?php endif; ?>
									<?php if (isset($meta['list'])): ?>
										<select id="<?php echo $name ?>" name="<?php echo $name ?>" class="form-control input-sm auto">
											<?php if     (isset($meta['null']) && $meta['null']): ?>
												<option value="">- <?php echo $app->dict('By default') ?> -</option>
											<?php elseif (is_null($value)): ?>
												<option></option>
											<?php endif; ?>
											<?php foreach ($meta['list'] as $val): ?>
												<option value="<?php echo htmlspecialchars($val) ?>" <?php if ($val == $value) echo ' selected' ?>><?php echo $app->dict(ucfirst($val), 'widget') ?></option>
											<?php endforeach; ?>
										</select>
									<?php else: ?>
										<input type="text" id="<?php echo $name ?>" name="<?php echo $name ?>" value="<?php echo htmlspecialchars($value) ?>" class="form-control input-sm">
									<?php endif; ?>
									<?php if (isset($error[$name])): ?>
										<div class="help-block small"><?php echo $error[$name] ?></div>
									<?php endif; ?>
								</div>
							<?php endif; ?>
					<?php
						endforeach;
					?>
					<button type="submit" class="btn btn-sm btn-primary">
						<span class="glyphicon glyphicon-save"></span>
						<?php echo $app->dict('Save') ?>
					</button>
				<fieldset>
			</form>
		</div>
		<div class="col-sm-6">
			<label for="embed" class="control-label"><?php echo $app->dict('Embed') ?>:</label>
			<textarea id="embed" class="form-control sel-on-focus" rows="3" readonly><?php echo htmlspecialchars($embed_code) ?></textarea>
			<div id="iframe"><?php echo $embed_code ?></div>
		</div>
	</div>
</div>
<?php
	include 'templates/_footer.php';
?>
